# Create Inbox (/api-reference/create-inbox-2)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 878 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Create Inbox

`POST /v0/pods/{pod_id}/inboxes`

Create Inbox

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "pod_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "podsPodId",
        "type": "string",
        "description": "ID of pod."
      }
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "title": "inboxesCreateInboxRequest",
          "type": "object",
          "properties": {
            "username": {
              "type": "string",
              "nullable": true,
              "description": "Username of address. Randomly generated if not specified."
            },
            "domain": {
              "type": "string",
              "nullable": true,
              "description": "Domain of address. Must be verified domain. Defaults to `agentmail.to`."
            },
            "display_name": {
              "title": "inboxesDisplayName",
              "type": "string",
              "description": "Display name: `Display Name <username@domain.com>`."
            },
            "client_id": {
              "title": "inboxesClientId",
              "type": "string",
              "description": "Client ID of inbox."
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "inboxesInbox",
            "type": "object",
            "properties": {
              "pod_id": {
                "title": "podsPodId",
                "type": "string",
                "description": "ID of pod."
              },
              "inbox_id": {
                "title": "inboxesInboxId",
                "type": "string",
                "description": "ID of inbox."
              },
              "display_name": {
                "title": "inboxesDisplayName",
                "type": "string",
                "description": "Display name: `Display Name <username@domain.com>`."
              },
              "client_id": {
                "title": "inboxesClientId",
                "type": "string",
                "description": "Client ID of inbox."
              },
              "updated_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which inbox was last updated."
              },
              "created_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which inbox was created."
              }
            },
            "required": [
              "pod_id",
              "inbox_id",
              "updated_at",
              "created_at"
            ]
          }
        }
      }
    },
    "400": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ValidationErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "errors": {
                "description": "Validation errors."
              }
            },
            "required": [
              "name",
              "errors"
            ]
          }
        }
      }
    }
  }
}
```
